﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.Workflows;
using Hotline.Orders;
using Hotline.Orders.Notifications;
using Hotline.Push.Notifies;
using Hotline.Share.Enums.Push;
using MediatR;

namespace Hotline.Application.Handlers.Order;
public class OrderVisitSmsHandler : INotificationHandler<ReceiveMessageNotify>
{
    private readonly IOrderVisitDomainService _orderVisitDomainService;

    public OrderVisitSmsHandler(IOrderVisitDomainService orderVisitDomainService)
    {
        _orderVisitDomainService = orderVisitDomainService;
    }

    public async Task Handle(ReceiveMessageNotify notification, CancellationToken cancellationToken)
    {
        if (notification.NotifyDto.PushBusiness == EPushBusiness.VisitSms)
            await _orderVisitDomainService.UpdateSmsReplyAsync(notification.NotifyDto);
    }
}
